StarPU Handbook

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Macros | Typedefs
starpu_config.h File Reference
`#include <sys/types.h>`

Go to the source code of this file.

## Macros
#define | STARPU_MAJOR_VERSION
#define | STARPU_MINOR_VERSION
#define | STARPU_RELEASE_VERSION
#define | STARPU_USE_CPU
#define | STARPU_USE_CUDA
#define | STARPU_USE_OPENCL
#define | STARPU_SIMGRID
#define | STARPU_HAVE_ICC
#define | STARPU_ATLAS
#define | STARPU_GOTO
#define | STARPU_MKL
#define | STARPU_SYSTEM_BLAS
#define | STARPU_BUILD_DIR
#define | STARPU_OPENCL_DATADIR
#define | STARPU_HAVE_MAGMA
#define | STARPU_OPENGL_RENDER
#define | STARPU_USE_GTK
#define | STARPU_HAVE_X11
#define | STARPU_HAVE_POSIX_MEMALIGN
#define | STARPU_HAVE_MEMALIGN
#define | STARPU_HAVE_MALLOC_H
#define | STARPU_HAVE_SYNC_BOOL_COMPARE_AND_SWAP
#define | STARPU_HAVE_SYNC_FETCH_AND_ADD
#define | STARPU_HAVE_SYNC_FETCH_AND_OR
#define | STARPU_HAVE_SYNC_LOCK_TEST_AND_SET
#define | STARPU_HAVE_SYNC_SYNCHRONIZE
#define | STARPU_MODEL_DEBUG
#define | STARPU_NO_ASSERT
#define | STARPU_HAVE_FFTW
#define | STARPU_HAVE_FFTWF
#define | STARPU_HAVE_FFTWL
#define | STARPU_HAVE_CURAND
#define | STARPU_MAXNODES
#define | STARPU_NMAXBUFS
#define | STARPU_MAXCPUS
#define | STARPU_MAXCUDADEVS
#define | STARPU_MAXOPENCLDEVS
#define | STARPU_NMAXWORKERS
#define | STARPU_NMAX_SCHED_CTXS
#define | STARPU_MAXIMPLEMENTATIONS
#define | STARPU_USE_SC_HYPERVISOR
#define | STARPU_HAVE_GLPK_H
#define | STARPU_HAVE_LIBNUMA
#define | STARPU_HAVE_WINDOWS
#define | STARPU_HAVE_UNSETENV
#define | __starpu_func__
#define | __starpu_inline
#define | STARPU_QUICK_CHECK
#define | STARPU_USE_DRAND48
#define | STARPU_USE_ERAND48_R
#define | STARPU_HAVE_NEARBYINTF
#define | STARPU_HAVE_RINTF
#define | STARPU_USE_TOP
#define | STARPU_HAVE_HWLOC
#define | STARPU_HAVE_PTHREAD_BARRIER
Initialisation
#define | STARPU_USE_MPI

## Typedefs
typedef ssize_t | starpu_ssize_t